Name:          	kde-i18n-zh_CN 
Version:       	3.5.5
Release:       	8.10%{?dist}
Summary:     	Simplified Chinese support for KDE 3.5.5
License:     	GPL
URL: 		http://www.kde.org
Group:         	desktop/kde
BuildRoot:     	/var/tmp/kde-i18n-zh_CN-root
Source:      	%{name}-%{version}.tar.bz2
Patch:		i18n-add-baghira-sidebar.patch
Patch1:		kde-i18n-zh_CN-add-emnu.patch
Patch2: 	kde-i18n-zh_CN-3.5.3-add-config-videocard.patch
#Patch3:         kde-i18n-zh_CN-3.5.3-kcmlayout.patch
Patch4: 	kde-i18n-zh_CN-Start.patch
Patch5: 	kde-i18n-shareprinter.patch
Patch6: 	kde-i18n-zh_CN-3.5.5-kcmlayout.patch
Patch7: 	kde-i18n-zh_CN-3.5.5-ksmserver.patch
Patch8: 	kde-i18n-zh_CN-3.5.5-kdmgreet.patch
Patch9: 	kde-i18n-zh_CN-3.5.5-kcmshell.patch
Patch10:	kde-i18n-zh_CN-3.5.5-konqueror.patch
Patch11:	kde-i18n-zh_CN-3.5.5-kmail.patch
Patch12:	kde-i18n-zh_CN-3.5.5-korganizer.patch
Patch13:	kde-i18n-zh_CN-3.5.5-kopete.patch
Patch14:	kde-i18n-zh_CN-3.5.5-kolourpaint.patch
Patch15:	kde-i18n-kdeprint-delorname.patch
patch16:	kde-i18n-libkonq-delsharedir.patch
Patch17:	kde-i18n-zh_CN-3.5.5-korganizer-2.patch
Patch18:	kde-i18n-zh_CN-3.5.5-kdeprint.patch
Patch19:	kde-i18n-zh_CN-timezone.patch
Patch20:	kde-i18n-zh_CN-3.5.5-taskbar_font_color.patch
Patch21:	kde-i18n-zh_CN-3.5.5-CapsLock.patch
Patch22:	kde-i18n-zh_CN-3.5.5-Kmenusize.patch
Patch23:	kde-i18n-zh_CN-3.5.5-delete-shared.patch
Patch24:	kde-i18n-zh_CN-3.5.5-kuser-translate.path
Patch25:	kde-i18n-zh_CN-3.5.5-ksnapshot.patch
patch26:	kde-i18n-zh_CN-3.5.5-kcmkeys.patch

Requires:	kdelibs, kdebase

%description
Simplified Chinese support for KDE 3.5.5

%prep
%setup -q 
%patch -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1

%Build
./configure --prefix=/usr 
make

%install
mkdir -p $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/
%exclude /usr/share/locale/zh_CN/LC_MESSAGES/kppp.mo
%exclude /usr/share/locale/zh_CN/LC_MESSAGES/kppplogview.mo

%changelog
* Wed May 27 2009 Hua Jie <jie.hua@asianux.com> 3.5.5-8.10%{?dist}
- correct translation in kuser.po (patch24, AXBug #6339)
- correct translation in ksnapshot.po (patch25, AXBug #6321)
- add translation in kcmkeys.po (patch26, AXBug #6319)

* Wed Aug 08 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.5.5-8.9AX
- add Patch#23 for deleting shared directory message translation

* Tue Jul 24 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.5.5-8.8AX
- add Patch#22 for "K Menu Size" translation 

* Thu Jul 12 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.5.5-8.7AX
- add Patch#21 for kdm "Caps Lock" translation

* Mon Jul 09 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.5.5-8.6AX
- add Patch#20 for taskbar font color translation

* Tue Jun 19 2007 Shu Li <shuli@redflag-linux.com> 3.5.5-8.5X
- As tzdata update modify kde-i18n-zh_CN-timezone.patch add some timezone translation.

* Mon May 28 2007 Shu Li <shuli@redflag-linux.com> 3.5.5-8.4AX
- modify kde-i18n-zh_CN-timezone.patch add some timezone translation.

* Mon May 14 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.5.5-8.3AX
- exclude kppp.mo and kppplogview.mo to solve the conflicts with PoseidonPPP

* Wed May 09 2007 Shu Li <shuli@redflag-linux.com> 3.5.5-8.2AX
- add patch kde-i18n-zh_CN-timezone.patch add translation Asia/Beijing to timezone.mo 

* Fri Mar 30 2007 Xiao Liu <xiaoliu@redflag-linux.com> 3.5.5-8.1AX
- change Patch#4 from kde-i18n-App.patch to kde-i18n-zh_CN-Start.patch
  because the lable of the button has been changed

* Tue Dec 19 2006 Wang Lei <leiwang@redflag-linux.com> 3.5.5-8
- bug 3927 & sth. about korgnizer.

* Thu Dec 1 2006 lwliu<lwliu@redflag-linux.com>
- add some msg of kdepriner
- add some msg of libkonq
- patch 15

* Thu Nov 30 2006 Wang Lei <leiwang@redflag-linux.com>
- add some msg of konquer & kopete & kontact & kolourpaint . 
- patch 10-14.

* Wed Nov 29 2006 lwliu<lwliu@redflag-linux.com>
- modified shareprinter's translation msg to 设置共享

* Mon Nov 28 2006 Wang Lei <leiwang@redflag-linux.com>
- add kdmtheme & ksmthem's translation msg to kcmshell.po

* Mon Nov 27 2006 Wang Lei <leiwang@redflag-linux.com>
- move the kdmgreet patch from 3.5.3

* Fri Nov 24 2006 Wang Lei <leiwang@redflag-linux.com>
- move the ksmserver patch from 3.5.3

* Tue Nov 21 2006 Wang Lei <leiwang@redflag-linux.com>
- update to 3.5.5

* Thu Oct 26 2006 Wang Lei <leiwang@redflag-linux.com>
- add some translation content to kcmlayout.po

* Tue Jul 19 2006 Wang Lei <leiwang@redflag-linux.com> 3.5.3-2
- add "App" to kikcer.po
